aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rwxr-xr-xsrc/cargo-meson.sh19
1 files changed, 12 insertions, 7 deletions
diff --git a/src/cargo-meson.sh b/src/cargo-meson.sh
index 38728a3711..75f3cd1265 100755
--- a/src/cargo-meson.sh
+++ b/src/cargo-meson.sh
@@ -19,20 +19,25 @@ do
esac
done
-cargo build --lib --quiet --manifest-path="$SOURCE_DIR/Cargo.toml" --target-dir="$BUILD_DIR" "$@"
-RET=$?
-if test $RET -ne 0
-then
- exit $RET
-fi
-
case "$(cargo -vV | sed -n 's/^host: \(.*\)$/\1/p')" in
+ *-windows-msvc)
+ LIBNAME=gitcore.lib
+ PATH="$(echo "$PATH" | tr ':' '\n' | grep -Ev "^(/mingw64/bin|/usr/bin)$" | paste -sd: -):/mingw64/bin:/usr/bin"
+ export PATH
+ ;;
*-windows-*)
LIBNAME=gitcore.lib;;
*)
LIBNAME=libgitcore.a;;
esac
+cargo build --lib --quiet --manifest-path="$SOURCE_DIR/Cargo.toml" --target-dir="$BUILD_DIR" "$@"
+RET=$?
+if test $RET -ne 0
+then
+ exit $RET
+fi
+
if ! cmp "$BUILD_DIR/$BUILD_TYPE/$LIBNAME" "$BUILD_DIR/libgitcore.a" >/dev/null 2>&1
then
cp "$BUILD_DIR/$BUILD_TYPE/$LIBNAME" "$BUILD_DIR/libgitcore.a"